body {
  background: #fff;
  color: #000;
  font-family: monospace;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  min-height: 100vh;
  margin: 0;
  padding-top: 30px;
}

.title {
  text-align: center;
  margin-bottom: 20px;
  font-size: 28px;
}

.tile {
  transform-origin: center;
}


.top-panel {
  display: flex;
  align-items: center;
  gap: 15px;
  margin-bottom: 20px;
  font-size: 16px;
}



.game-wrapper {
  display: flex;
  gap: 30px;
  align-items: flex-start; /* important */
}


.puzzle {
  display: grid;
  grid-template-columns: repeat(3, 150px);
  grid-template-rows: repeat(3, 150px);
  gap: 2px;
  background: #f4f4f4;
  padding: 4px;
}

.page {
  display: flex;
  flex-direction: column;
  align-items: center;
}



.tile {
  width: 150px;
  height: 150px;
  cursor: pointer;
  background-size: cover;
  background-position: center;
}

.blank {
  background: #cccccc;
  cursor: default;
}

.tile:not(.blank):hover {
  outline: 1px solid #000;
  cursor: pointer;
}


.preview-wrap {
  margin-top: 25px;
  display: flex;
  justify-content: center;
}

.preview-grid {
  display: grid;
  grid-template-columns: repeat(3, 66px);
  grid-template-rows: repeat(3, 66px);
  gap: 1px;
  border: 1px solid #f2f2f2;
}

.preview-tile {
  width: 66px;
  height: 66px;
  background-size: cover;
  background-position: center;
}

.preview-tile.blank,
.tile.blank {
  box-shadow:
    inset 0 2px 4px rgba(0,0,0,0.15),
    inset 0 -2px 4px rgba(255,255,255,0.5);
}

/* Prevent text/image selection and mobile selection UI */
* {
  user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  -webkit-tap-highlight-color: transparent;
}

.tile,
.preview-tile {
  touch-action: manipulation;
}





